Pause a subscription
Pauses a subscription by its ID. This transitions the subscription's next scheduled order to paused, skipping its next billing cycle. Returns an error if the subscription is already paused.
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard. Send it together with X-Publishable-Key.
In: header
Path Parameters
ID of the subscription to pause.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/subscriptions/s_1234567890/pause"{ "id": "s_1234567890", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "consumer_id": 0, "subscription_plan_id": "spl_ba_PpkW16oIW", "merchant_name": "Bolt Swag Store", "email": "shopper@example.com", "price": 999, "currency": "USD", "quantity": 0, "product_names": [ "string" ], "next_renewal_date": "2019-08-24T14:15:22Z", "next_payment_retry_date": "2019-08-24T14:15:22Z", "trial_days": 0, "trial_ends_at": "2019-08-24T14:15:22Z", "scheduled_change": { "event": "plan_change", "effective_from": "2019-08-24T14:15:22Z", "to_plan": "string", "to_plan_name": "string", "to_product": "string", "to_product_name": "string" }, "billing_address": { "street_address1": "string", "street_address2": "string", "locality": "string", "region": "string", "region_code": "string", "postal_code": "string", "country_code": "string", "country": "string", "name": "string", "first_name": "string", "last_name": "string", "company": "string", "phone_number": "string", "email_address": "string" }, "shipping_address": { "street_address1": "string", "street_address2": "string", "locality": "string", "region": "string", "region_code": "string", "postal_code": "string", "country_code": "string", "country": "string", "name": "string", "first_name": "string", "last_name": "string", "company": "string", "phone_number": "string", "email_address": "string" }, "canceled_date": null, "paused_date": null, "payment_method": { "card_last_4": "4123", "card_network": "Visa" }, "status": "active", "status_details": { "reason": "payment_failed", "type": "canceled" }, "total_amount": { "amount": 0, "currency": "string", "currency_symbol": "string" }, "plan": { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195", "base_price": 3000, "ubb": true, "usage_pricing": [ { "meter_name": "API Calls", "event_type": "api_call", "aggregation_type": "sum", "charge_model": "per_unit", "charge_config": {}, "currency": "USD" } ], "status": "active", "currency": "USD", "trial": { "trial_days": 14 }, "usage": { "meter_id": 0, "charge_model": "string", "charge_config": {}, "sessions": [ { "duration": 0, "duration_unit": "string", "alert_threshold": "string" } ] } }, "metadata": { "property1": "string", "property2": "string" }}Get a subscription's orders GET
Retrieves the orders a subscription produced, newest first.
Unpause a subscription POST
Unpauses a previously paused subscription by its ID. This computes the next billing date from the plan's frequency and reschedules the subscription's order. Returns an error if the subscription is not currently paused.